package com.boman.web.core.domain;
/**
 * @author tjf
 * @Date: 2022/05/13/10:18
 */

import com.boman.domain.BaseEntity;
import com.boman.domain.annotation.Excel;

/**
 * @author tjf
 * @Date: 2022/05/13/10:18
 */
public class AccountingData extends BaseEntity {
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private String id;

    /**
     * 检验结果出具时间（审核时间）
     */
    private String jcsj;
    /**
     * 联系电话
     */
    private String lxdh;
    /**
     *
     */
    private String address;
    /**
     * 批次号
     */
    private String batchNumber;
    /**
     * 样本重点人群oid
     */
    private String focusPerson;

    /**
     * 检测结果 0:阴性 1:阳性
     */
    private String jcjg;
    /**
     * 从哪儿来
     */
    private String fromCity;
    /**
     * 检测地点
     */
    private String jcdd;
    /**
     * 采集地点
     */
    private String cjdd;
    /**
     * 去哪儿
     */
    private String toCity;
    /**
     * 0=采样收集 1=历史结果导入
     */
    private String source;
    /**
     * 身份证
     */
    private String zjhm;
    /**
     * 采集时间
     */
    private String cjsj;
    /**
     * 证件类型
     */
    private String certificateNoType;
    /**
     * 姓名
     */
    private String xm;
    /**
     * 交通工具
     */
    private String transit;
    /**
     * 采集人名称
     */
    private String collectorName;
    /**
     * 采集县区
     */
    private String cjssxq;

    /**
     * 第三方主键
     */
    private String mainKey;
    /**
     * 第三方修改时间
     */
    private String modifyDate;


    /**
     * 是否删除
     */
    private String isDel;
    /**
     * 是否核酸
     */
    private String isNucleicAcid;
    /**
     * 时间段
     */
    private String timeSlot;


    private String provinceIdXjz;
    private String cityIdXjz;
    private String regionIdXjz;
    private String villageTownsIdXjz;
    private String villageIdXjz;

    private String provinceXjz;
    private String cityXjz;
    private String regionXjz;
    private String villageTownsXjz;
    private String villageXjz;
    @Excel(name = "居住详细地址")
    private String nowXjz;
    /** 现居地列表展示 安徽省安庆市潜山市xx乡xx村xx组 */
    @Excel(name = "居住地址")
    private String nowInSelect;




    private String provinceIdXhj;
    private String cityIdXhj;
    private String regionIdXhj;
    private String villageTownsIdXhj;
    private String villageIdXhj;
    private String villagerGroupIdXhj;

    private String provinceXhj;
    private String cityXhj;
    private String regionXhj;
    private String villageTownsXhj;
    private String villageXhj;
    private String villagerGroupXhj;
    /**
     * 户籍地的详细地址
     */
    @Excel(name = "户籍详细地址")
    private String nowInXhj;
    /** 户籍地列表展示 安徽省安庆市潜山市xx乡xx村xx组 */
    @Excel(name = "户籍地址")
    private String domicileSelect;

    /**
     * 户籍号码
     */
    @Excel(name = "人口信息登记的联系电话")
    private String phoneNum;


    public String getId() {
        return id;
    }

    public String getIsNucleicAcid() {
        return isNucleicAcid;
    }

    public void setIsNucleicAcid(String isNucleicAcid) {
        this.isNucleicAcid = isNucleicAcid;
    }

    public String getTimeSlot() {
        return timeSlot;
    }

    public void setTimeSlot(String timeSlot) {
        this.timeSlot = timeSlot;
    }

    public String getModifyDate() {
        return modifyDate;
    }

    public void setModifyDate(String modifyDate) {
        this.modifyDate = modifyDate;
    }


    public void setId(String id) {
        this.id = id;
    }


    public String getJcsj() {
        return jcsj;
    }

    public void setJcsj(String jcsj) {
        this.jcsj = jcsj;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBatchNumber() {
        return batchNumber;
    }

    public void setBatchNumber(String batchNumber) {
        this.batchNumber = batchNumber;
    }

    public String getFocusPerson() {
        return focusPerson;
    }

    public void setFocusPerson(String focusPerson) {
        this.focusPerson = focusPerson;
    }

    public String getJcjg() {
        return jcjg;
    }

    public void setJcjg(String jcjg) {
        this.jcjg = jcjg;
    }

    public String getFromCity() {
        return fromCity;
    }

    public void setFromCity(String fromCity) {
        this.fromCity = fromCity;
    }

    public String getJcdd() {
        return jcdd;
    }

    public void setJcdd(String jcdd) {
        this.jcdd = jcdd;
    }

    public String getCjdd() {
        return cjdd;
    }

    public void setCjdd(String cjdd) {
        this.cjdd = cjdd;
    }

    public String getToCity() {
        return toCity;
    }

    public void setToCity(String toCity) {
        this.toCity = toCity;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getZjhm() {
        return zjhm;
    }

    public void setZjhm(String zjhm) {
        this.zjhm = zjhm;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public String getCertificateNoType() {
        return certificateNoType;
    }

    public void setCertificateNoType(String certificateNoType) {
        this.certificateNoType = certificateNoType;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getTransit() {
        return transit;
    }

    public void setTransit(String transit) {
        this.transit = transit;
    }

    public String getCollectorName() {
        return collectorName;
    }

    public void setCollectorName(String collectorName) {
        this.collectorName = collectorName;
    }

    public String getCjssxq() {
        return cjssxq;
    }

    public void setCjssxq(String cjssxq) {
        this.cjssxq = cjssxq;
    }

    public String getMainKey() {
        return mainKey;
    }

    public void setMainKey(String mainKey) {
        this.mainKey = mainKey;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    public void setProvinceIdXjz(String provinceIdXjz) {
        this.provinceIdXjz = provinceIdXjz;
    }

    public void setCityIdXjz(String cityIdXjz) {
        this.cityIdXjz = cityIdXjz;
    }

    public void setRegionIdXjz(String regionIdXjz) {
        this.regionIdXjz = regionIdXjz;
    }

    public void setVillageTownsIdXjz(String villageTownsIdXjz) {
        this.villageTownsIdXjz = villageTownsIdXjz;
    }

    public void setVillageIdXjz(String villageIdXjz) {
        this.villageIdXjz = villageIdXjz;
    }

    public void setProvinceXjz(String provinceXjz) {
        this.provinceXjz = provinceXjz;
    }

    public void setCityXjz(String cityXjz) {
        this.cityXjz = cityXjz;
    }

    public void setRegionXjz(String regionXjz) {
        this.regionXjz = regionXjz;
    }

    public void setVillageTownsXjz(String villageTownsXjz) {
        this.villageTownsXjz = villageTownsXjz;
    }

    public void setVillageXjz(String villageXjz) {
        this.villageXjz = villageXjz;
    }

    public void setNowXjz(String nowXjz) {
        this.nowXjz = nowXjz;
    }

    public void setNowInSelect(String nowInSelect) {
        this.nowInSelect = nowInSelect;
    }

    public void setProvinceIdXhj(String provinceIdXhj) {
        this.provinceIdXhj = provinceIdXhj;
    }

    public void setCityIdXhj(String cityIdXhj) {
        this.cityIdXhj = cityIdXhj;
    }

    public void setRegionIdXhj(String regionIdXhj) {
        this.regionIdXhj = regionIdXhj;
    }

    public void setVillageTownsIdXhj(String villageTownsIdXhj) {
        this.villageTownsIdXhj = villageTownsIdXhj;
    }

    public void setVillageIdXhj(String villageIdXhj) {
        this.villageIdXhj = villageIdXhj;
    }

    public void setVillagerGroupIdXhj(String villagerGroupIdXhj) {
        this.villagerGroupIdXhj = villagerGroupIdXhj;
    }

    public void setProvinceXhj(String provinceXhj) {
        this.provinceXhj = provinceXhj;
    }

    public void setCityXhj(String cityXhj) {
        this.cityXhj = cityXhj;
    }

    public void setRegionXhj(String regionXhj) {
        this.regionXhj = regionXhj;
    }

    public void setVillageTownsXhj(String villageTownsXhj) {
        this.villageTownsXhj = villageTownsXhj;
    }

    public void setVillageXhj(String villageXhj) {
        this.villageXhj = villageXhj;
    }

    public void setVillagerGroupXhj(String villagerGroupXhj) {
        this.villagerGroupXhj = villagerGroupXhj;
    }

    public void setNowInXhj(String nowInXhj) {
        this.nowInXhj = nowInXhj;
    }

    public void setDomicileSelect(String domicileSelect) {
        this.domicileSelect = domicileSelect;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getProvinceIdXjz() {
        return provinceIdXjz;
    }

    public String getCityIdXjz() {
        return cityIdXjz;
    }

    public String getRegionIdXjz() {
        return regionIdXjz;
    }

    public String getVillageTownsIdXjz() {
        return villageTownsIdXjz;
    }

    public String getVillageIdXjz() {
        return villageIdXjz;
    }

    public String getProvinceXjz() {
        return provinceXjz;
    }

    public String getCityXjz() {
        return cityXjz;
    }

    public String getRegionXjz() {
        return regionXjz;
    }

    public String getVillageTownsXjz() {
        return villageTownsXjz;
    }

    public String getVillageXjz() {
        return villageXjz;
    }

    public String getNowXjz() {
        return nowXjz;
    }

    public String getNowInSelect() {
        return nowInSelect;
    }

    public String getProvinceIdXhj() {
        return provinceIdXhj;
    }

    public String getCityIdXhj() {
        return cityIdXhj;
    }

    public String getRegionIdXhj() {
        return regionIdXhj;
    }

    public String getVillageTownsIdXhj() {
        return villageTownsIdXhj;
    }

    public String getVillageIdXhj() {
        return villageIdXhj;
    }

    public String getVillagerGroupIdXhj() {
        return villagerGroupIdXhj;
    }

    public String getProvinceXhj() {
        return provinceXhj;
    }

    public String getCityXhj() {
        return cityXhj;
    }

    public String getRegionXhj() {
        return regionXhj;
    }

    public String getVillageTownsXhj() {
        return villageTownsXhj;
    }

    public String getVillageXhj() {
        return villageXhj;
    }

    public String getVillagerGroupXhj() {
        return villagerGroupXhj;
    }

    public String getNowInXhj() {
        return nowInXhj;
    }

    public String getDomicileSelect() {
        return domicileSelect;
    }

    public String getPhoneNum() {
        return phoneNum;
    }
}
